
import java.io.BufferedReader;
import java.io.InputStream;
import java.io.InputStreamReader;

public class DemoProcess {

    public void start() {
        final int N = 1000000;
        final String GRAPH_FILE = "graph.dat";
        //String cmd = "./tdijkstra.Linux -c " + N + " " + GRAPH_FILE;
        
        // use -v for verbose and see reveived stderr of the program
        String cmd = "./tdijkstra.Linux -v -c " + N + " " + GRAPH_FILE;

        System.out.println("cmd:" + cmd);
        try {
            Process p = Runtime.getRuntime().exec(cmd);
            InputStream pIn = p.getInputStream();
            InputStreamReader charIn = new InputStreamReader(pIn);
            BufferedReader err = new BufferedReader(new InputStreamReader(p.getErrorStream()));
            String cmdOut;
            BufferedReader in = new BufferedReader(charIn);
            cmdOut = in.readLine();
            System.out.println("Process exec stdout: " + cmdOut);
            while (err.ready()) {
                System.out.println("Process exec stderr: " + err.readLine());
            }
        } catch (Exception e) {
            System.err.println("Error in process execution.");
            System.exit(0);
        }
    }

    public static void main(String[] args) {
        DemoProcess demo = new DemoProcess();
        demo.start();
    }

}
